---
title: List live inputs
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Stream](https://developers.cloudflare.com/api/python/resources/stream)

[Live Inputs](https://developers.cloudflare.com/api/python/resources/stream/subresources/live_inputs)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List live inputs

stream.live\_inputs.list(LiveInputListParams\*\*kwargs) -> [LiveInputListResponse](<https://developers.cloudflare.com/api/python/resources/stream#(resource)%20stream.live_inputs%20%3E%20(model)%20live_input_list_response%20%3E%20(schema)>)

GET/accounts/{account\_id}/stream/live\_inputs

Lists the live inputs created for an account. To get the credentials needed to stream to a specific live input, request a single live input.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Stream Write``Stream Read`

##### ParametersExpand Collapse

account\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20stream.live_inputs%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

include\_counts: Optional\[[bool](<https://developers.cloudflare.com/api/python/resources/stream/subresources/live_inputs/methods/list#(resource)%20stream.live_inputs%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20include_counts%20%3E%20(schema)>)]

Includes the total number of videos associated with the submitted query parameters.

[Link to this property](<#(resource)%20stream.live_inputs%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20include_counts%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class LiveInputListResponse: …

</summary>

<details>

<summary>

live\_inputs: Optional\[List\[LiveInput]]

</summary>

created: Optional\[datetime]

The date and time the live input was created.

formatdate-time

<a href="#(resource)%20stream.live_inputs%20%3E%20(model)%20live_input_list_response%20%3E%20(schema)%20%3E%20(property)%20liveInputs%20%3E%20(items)%20%3E%20(property)%20created">Link to this property</a>

delete\_recording\_after\_days: Optional\[float]

Indicates the number of days after which the live inputs recordings will be deleted. When a stream completes and the recording is ready, the value is used to calculate a scheduled deletion date for that recording. Omit the field to indicate no change, or include with a <code>null</code> value to remove an existing scheduled deletion.

minimum30

<a href="#(resource)%20stream.live_inputs%20%3E%20(model)%20live_input_list_response%20%3E%20(schema)%20%3E%20(property)%20liveInputs%20%3E%20(items)%20%3E%20(property)%20deleteRecordingAfterDays">Link to this property</a>

enabled: Optional\[bool]

Indicates whether the live input is enabled and can accept streams.

<a href="#(resource)%20stream.live_inputs%20%3E%20(model)%20live_input_list_response%20%3E%20(schema)%20%3E%20(property)%20liveInputs%20%3E%20(items)%20%3E%20(property)%20enabled">Link to this property</a>

meta: Optional\[object]

A user modifiable key-value store used to reference other systems of record for managing live inputs.

<a href="#(resource)%20stream.live_inputs%20%3E%20(model)%20live_input_list_response%20%3E%20(schema)%20%3E%20(property)%20liveInputs%20%3E%20(items)%20%3E%20(property)%20meta">Link to this property</a>

modified: Optional\[datetime]

The date and time the live input was last modified.

formatdate-time

<a href="#(resource)%20stream.live_inputs%20%3E%20(model)%20live_input_list_response%20%3E%20(schema)%20%3E%20(property)%20liveInputs%20%3E%20(items)%20%3E%20(property)%20modified">Link to this property</a>

uid: Optional\[str]

A unique identifier for a live input.

maxLength32

<a href="#(resource)%20stream.live_inputs%20%3E%20(model)%20live_input_list_response%20%3E%20(schema)%20%3E%20(property)%20liveInputs%20%3E%20(items)%20%3E%20(property)%20uid">Link to this property</a>

</details>

<a href="#(resource)%20stream.live_inputs%20%3E%20(model)%20live_input_list_response%20%3E%20(schema)%20%3E%20(property)%20liveInputs">Link to this property</a>

range: Optional\[int]

The total number of remaining live inputs based on cursor position.

<a href="#(resource)%20stream.live_inputs%20%3E%20(model)%20live_input_list_response%20%3E%20(schema)%20%3E%20(property)%20range">Link to this property</a>

total: Optional\[int]

The total number of live inputs that match the provided filters.

<a href="#(resource)%20stream.live_inputs%20%3E%20(model)%20live_input_list_response%20%3E%20(schema)%20%3E%20(property)%20total">Link to this property</a>

</details>

[Link to this property](<#(resource)%20stream.live_inputs%20%3E%20(model)%20live_input_list_response%20%3E%20(schema)>)

### List live inputs

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
live_inputs = client.stream.live_inputs.list(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(live_inputs.live_inputs)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "liveInputs": [
      {
        "created": "2014-01-02T02:20:00Z",
        "deleteRecordingAfterDays": 45,
        "enabled": true,
        "meta": {
          "name": "test stream 1"
        },
        "modified": "2014-01-02T02:20:00Z",
        "uid": "66be4bf738797e01e1fca35a7bdecdcd"
      }
    ],
    "range": 1000,
    "total": 35586
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "liveInputs": [
      {
        "created": "2014-01-02T02:20:00Z",
        "deleteRecordingAfterDays": 45,
        "enabled": true,
        "meta": {
          "name": "test stream 1"
        },
        "modified": "2014-01-02T02:20:00Z",
        "uid": "66be4bf738797e01e1fca35a7bdecdcd"
      }
    ],
    "range": 1000,
    "total": 35586
  }
}
```